Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 586096 - Review Request: perl-Crypt-SMIME - S/MIME message signing
Review Request: perl-Crypt-SMIME - S/MIME message signing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Emmanuel Seyman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-26 15:37 EDT by Steve Traylen
Modified: 2010-05-20 20:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Crypt-SMIME-0.09-3.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-20 14:42:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
emmanuel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steve Traylen 2010-04-26 15:37:27 EDT
Spec URL: http://cern.ch/straylen/rpms/perl-Crypt-SMIME/perl-Crypt-SMIME.spec
SRPM URL: http://cern.ch/straylen/rpms/perl-Crypt-SMIME/perl-Crypt-SMIME-0.09-1.fc12.src.rpm
Description: 
This module provides a class for handling S/MIME messages. It can sign,
verify, encrypt and decrypt messages. It requires libcrypto
(http://www.openssl.org) to work.
Comment 1 Emmanuel Seyman 2010-05-02 17:32:33 EDT
Taking.
Comment 2 Emmanuel Seyman 2010-05-02 17:47:01 EDT
Steve, is there a reason your specfile doesn't specify openssl-devel as a BuildRequires? Your package doesn't compile without it.
Comment 4 Emmanuel Seyman 2010-05-02 18:27:09 EDT
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2156455

 [x] Rpmlint output:
perl-Crypt-SMIME.src: W: spelling-error Summary(en_US) decryption -> encryption, deception, description
perl-Crypt-SMIME.src: W: spelling-error %description -l en_US decrypt -> decry pt, decry-pt, decry
perl-Crypt-SMIME.src: W: spelling-error %description -l en_US libcrypto -> Cryptozoic, cryptogram, cryptography
perl-Crypt-SMIME.x86_64: W: spelling-error Summary(en_US) decryption -> encryption, deception, description
perl-Crypt-SMIME.x86_64: W: spelling-error %description -l en_US decrypt -> decry pt, decry-pt, decry
perl-Crypt-SMIME.x86_64: W: spelling-error %description -l en_US libcrypto -> Cryptozoic, cryptogram, cryptography
2 packages and 1 specfiles checked; 0 errors, 6 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
b4dba3b4a3c76573d3b070cf92c0b55d  Crypt-SMIME-0.09.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: fedora-rawhide-x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
 [?] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [x] The placement of pkgconfig(.pc) files is correct.
 [x] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=2, Tests=36,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.16 cusr  0.03 csys =  0.22 CPU)
Result: PASS

APPROVED.
Comment 5 Steve Traylen 2010-05-03 03:19:12 EDT
New Package CVS Request
=======================
Package Name: perl-Crypt-SMIME
Short Description: S/MIME message signing
Owners: foo bar
Branches: F-11 F-12 F-13 EL-4 EL-5
InitialCC: perl-sig

Obviously an EL-6 branch as well if this processed post mass branch.

Thank's for the review.
Comment 6 Steve Traylen 2010-05-03 04:09:19 EDT
Lets try again.

New Package CVS Request
=======================
Package Name: perl-Crypt-SMIME
Short Description: S/MIME message signing
Owners: stevetraylen
Branches: F-11 F-12 F-13 EL-4 EL-5
InitialCC: perl-sig

Obviously an EL-6 branch as well if this processed post mass branch.

Thank's for the review.
Comment 7 Kevin Fenzi 2010-05-03 22:56:39 EDT
CVS done (by process-cvs-requests.py).
Comment 8 Fedora Update System 2010-05-04 02:14:30 EDT
perl-Crypt-SMIME-0.09-3.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/perl-Crypt-SMIME-0.09-3.el4
Comment 9 Fedora Update System 2010-05-04 02:14:34 EDT
perl-Crypt-SMIME-0.09-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Crypt-SMIME-0.09-3.el5
Comment 10 Fedora Update System 2010-05-04 02:15:57 EDT
perl-Crypt-SMIME-0.09-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Crypt-SMIME-0.09-3.fc12
Comment 11 Fedora Update System 2010-05-04 02:16:02 EDT
perl-Crypt-SMIME-0.09-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Crypt-SMIME-0.09-3.fc11
Comment 12 Fedora Update System 2010-05-04 02:16:06 EDT
perl-Crypt-SMIME-0.09-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Crypt-SMIME-0.09-3.fc13
Comment 13 Fedora Update System 2010-05-04 19:51:43 EDT
perl-Crypt-SMIME-0.09-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Crypt-SMIME'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Crypt-SMIME-0.09-3.fc13
Comment 14 Fedora Update System 2010-05-04 19:53:11 EDT
perl-Crypt-SMIME-0.09-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Crypt-SMIME'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Crypt-SMIME-0.09-3.fc12
Comment 15 Fedora Update System 2010-05-04 19:56:58 EDT
perl-Crypt-SMIME-0.09-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Crypt-SMIME'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Crypt-SMIME-0.09-3.fc11
Comment 16 Fedora Update System 2010-05-05 20:50:53 EDT
perl-Crypt-SMIME-0.09-3.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Crypt-SMIME'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Crypt-SMIME-0.09-3.el4
Comment 17 Fedora Update System 2010-05-05 20:51:03 EDT
perl-Crypt-SMIME-0.09-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Crypt-SMIME'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Crypt-SMIME-0.09-3.el5
Comment 18 Fedora Update System 2010-05-20 14:41:57 EDT
perl-Crypt-SMIME-0.09-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2010-05-20 14:45:05 EDT
perl-Crypt-SMIME-0.09-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2010-05-20 14:49:37 EDT
perl-Crypt-SMIME-0.09-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2010-05-20 20:30:08 EDT
perl-Crypt-SMIME-0.09-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2010-05-20 20:32:19 EDT
perl-Crypt-SMIME-0.09-3.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.